
import {Route, Routes} from "react-router-dom";
import {LOGIN, PRODUCT_ADD, PRODUCT_LIST, PRODUCT_VIEW, REGISTER} from "./constants/routes";
import Layout from "./components/Layout/Layout";
import Products from "./containers/Products/Products";
import AddProduct from "./containers/AddProduct/AddProduct";
import Register from "./containers/Auth/Register/Register";
import Login from "./containers/Auth/Login/Login";
import {useSelector} from "react-redux";
import ProtectedRoute from "./components/ProtectedRoute/ProtectedRoute";

const App = () => {
    const user = useSelector(({usersState}) => usersState.user);

    const productAdd = <ProtectedRoute
        isAllowed={!!user}
        redirectPath={LOGIN}
    >
        <AddProduct />
    </ProtectedRoute>;

    return <Routes>
      <Route element={<Layout />}>
          <Route index element={<Products />}/>
          <Route path={REGISTER} element={<Register />}/>
          <Route path={LOGIN} element={<Login />}/>
          <Route path={PRODUCT_LIST} element={<Products />}/>
          <Route path={PRODUCT_ADD} element={productAdd}/>
          <Route path={PRODUCT_VIEW} element={<h1>Show product</h1>}/>
      </Route>
  </Routes>;
};


export default App;
