import axios from "axios";
import {apiUrl} from "../constants/config";

const instance = axios.create({
    baseURL: apiUrl + "/api/v1"
});

instance.interceptors.request.use(function (config) {
    if (localStorage.getItem('user') !== null) {
        config.headers.Authorization = JSON.parse(localStorage.getItem('user')).token;
    }

    return config;
}, function(error) {
    return Promise.reject(error);
});

export default instance;
