import {Grid, TextField} from "@mui/material";
import PropTypes from "prop-types";

const TextInput = ({name, label, value, onChange, required, error, type}) => {
    return <Grid item xs={12}>
        <TextField
            fullWidth
            required={required}
            id={name}
            name={name}
            label={label}
            error={!!error}
            helperText={error}
            value={value}
            onChange={onChange}
            autoComplete={name}
            type={type}
        />
    </Grid>;
};

TextInput.propTypes = {
    name: PropTypes.string.isRequired,
    label: PropTypes.string.isRequired,
    value: PropTypes.string.isRequired,
    type: PropTypes.string,
    error: PropTypes.string,
    required: PropTypes.bool,
    onChange: PropTypes.func.isRequired
};

export default TextInput;
