import ProductForm from "../../components/Product/ProductForm/ProductForm";
import {Typography} from "@mui/material";
import {createProduct} from "../../store/actions/productsActions";
import {useDispatch} from "react-redux";
import {useNavigate} from "react-router-dom";


const AddProduct = () => {
    const dispatch = useDispatch();
    const navigate = useNavigate();

    const onProductFormSubmit = async data => {
        await dispatch(createProduct({data, callback: () => navigate('/')}));
    };

    return (
        <>
            <Typography variant='h4'>
                New Product
            </Typography>
            <ProductForm createProductHandler={onProductFormSubmit}/>
        </>
    );
};

export default AddProduct;
